Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp
Class AllowedValueRange

    java.lang.Object
      org.cybergarage.upnp.AllowedValueRange

    public class AllowedValueRange

extends Object

Field Summary
`static String` | `ELEM_NAME`

Constructor Summary
`AllowedValueRange(Node node)`

Method Summary
`Node` | `getAllowedValueRangeNode()`
`String` | `getMaximum()`
`String` | `getMinimum()`
`String` | `getStep()`
`static boolean` | `isAllowedValueRangeNode(Node node)`
`void` | `setMaximum(String value)`
`void` | `setMinimum(String value)`
`void` | `setStep(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEM_NAME

    public static final String ELEM_NAME

See Also:
  Constant Field Values

Constructor Detail

### AllowedValueRange

    public AllowedValueRange(Node node)

Method Detail

### getAllowedValueRangeNode

    public Node getAllowedValueRangeNode()

### isAllowedValueRangeNode

    public static boolean isAllowedValueRangeNode(Node node)

### setMinimum

    public void setMinimum(String value)

### getMinimum

    public String getMinimum()

### setMaximum

    public void setMaximum(String value)

### getMaximum

    public String getMaximum()

### setStep

    public void setStep(String value)

### getStep

    public String getStep()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD